# -*- encoding: utf-8 -*-

from django.urls import path, include
from rest_framework.authtoken.views import obtain_auth_token

from . import views


urlpatterns = [
    path("api-auth/", include("rest_framework.urls", namespace="rest_framework")),
    path("api-token-auth/", obtain_auth_token),

    path("rssfeed/", include([
        path("", views.RSSFeedList.as_view(), name="rssfeed"),
        path("<str:pk>/", views.RSSFeedDetail.as_view(), name="rssfeed-detail")
    ])),
    path("feedchannel/", views.FeedChannelListApiView.as_view(), name="feedchannel")
]